---
type: api
title: Get a watchlist by ID
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-getwatchlist
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-getwatchlist
products:
  - Kibana
---

# Get a watchlist by ID

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/entity_analytics/watchlists/{id}`
- `GET` `/s/{space_id}/api/entity_analytics/watchlists/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `id` (string)
  Unique ID of the watchlist

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Retrieves the details of an entity analytics watchlist by its unique identifier.

## Response

Watchlist details

`application/json`

- `createdAt` (string)
  Timestamp indicating when the watchlist was created
- `description` (string)
  Description of the watchlist
- `entityCount` (number)
  Number of entities in the watchlist
- `entitySourceIds` ([] string)
  List of entity source IDs associated with the watchlist
- `hasManualEntities` (boolean)
  Indicates whether the watchlist contains manually assigned entities
- `id` (string)
  The unique ID of the watchlist
- `managed` (boolean)
  Indicates if the watchlist is managed by the system
- `name` (string)
  The name of the watchlist
- `riskModifier` (number)
  Risk score modifier associated with the watchlist
- `updatedAt` (string)
  Timestamp indicating when the watchlist was last updated
## Code Examples

#### Console

```console
GET /api/entity_analytics/watchlists/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/entity_analytics/watchlists/{id}"
```

## Response Examples

#### Watchlist details

```json
{
  "createdAt": "2026-01-28T12:00:00.000Z",
  "description": "High risk vendor watchlist",
  "id": "watchlist-123",
  "managed": false,
  "name": "High Risk Vendors",
  "riskModifier": 1.5,
  "updatedAt": "2026-02-18T12:00:00.000Z"
}
```

